Subject: Re: bug#22494: still can't search for two spaces

From: John Wiegley <[email-masked]>
Date: Tue, 02 Feb 2016 22:45:41 -0800

>>>>> Drew Adams <[email-masked]> writes:

> Heeding what is in the search string means nothing - or anything.

I don't know why you're saying this Drew.

If the user types something into the search string, and exactly that something
is present in the buffer, Emacs should locate it before any "lax" variant.

This means that type "nD" where nD exists, should find nD. Typing " " where
two spaces exist, should find the two spaces.

Whether or not lax whitespace matching should be the default is an entirely
separate matter. I rather like the lax matching, so long as my use of two
spaces in a search string does not mean that I can't find two spaces.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2